## org.eclipse.datatools.sqltools.result
Class ResultsConstants

    java.lang.Object
      org.eclipse.datatools.sqltools.result.ResultsConstants

    public class ResultsConstants

extends java.lang.Object

The constants

Author:
  Dafan Yang

Field Summary
`static java.lang.String` `DB_CP_CATEGORY`
`static java.lang.String` `EXTENSION_POINT_CLASS_NAME`
`static java.lang.String` `EXTENSION_POINT_CONSUMER_NAME`
`static java.lang.String` `EXTENSION_POINT_DATABASE_ID`
`static com.ibm.icu.text.DateFormat` `FORMATTER`
`static java.lang.String` `RE_EXECUTION_POINT_ID`
`static java.lang.String` `SQL_RESULTS_VIEW_ID`
`static java.lang.String` `SQL_RESULTS_VIEW_MAX_DISPLAY_ROW_COUNT`
`static java.lang.String` `SQL_RESULTS_VIEW_MAX_ROW_COUNT`

Constructor Summary
`ResultsConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL_RESULTS_VIEW_ID

    public static final java.lang.String SQL_RESULTS_VIEW_ID

See Also:
  Constant Field Values

### FORMATTER

    public static com.ibm.icu.text.DateFormat FORMATTER

### DB_CP_CATEGORY

    public static final java.lang.String DB_CP_CATEGORY

See Also:
  Constant Field Values

### RE_EXECUTION_POINT_ID

    public static final java.lang.String RE_EXECUTION_POINT_ID

See Also:
  Constant Field Values

### EXTENSION_POINT_DATABASE_ID

    public static final java.lang.String EXTENSION_POINT_DATABASE_ID

See Also:
  Constant Field Values

### EXTENSION_POINT_CONSUMER_NAME

    public static final java.lang.String EXTENSION_POINT_CONSUMER_NAME

See Also:
  Constant Field Values

### EXTENSION_POINT_CLASS_NAME

    public static final java.lang.String EXTENSION_POINT_CLASS_NAME

See Also:
  Constant Field Values

### SQL_RESULTS_VIEW_MAX_ROW_COUNT

    public static final java.lang.String SQL_RESULTS_VIEW_MAX_ROW_COUNT

### SQL_RESULTS_VIEW_MAX_DISPLAY_ROW_COUNT

    public static final java.lang.String SQL_RESULTS_VIEW_MAX_DISPLAY_ROW_COUNT

Constructor Detail

### ResultsConstants

    public ResultsConstants()